Summary: GUI test tool and automation framework
Name: dogtail
Version: 0.5.1
Release: %mkrel 3
License: GPL
Group: System/X11
URL: http://people.redhat.com/zcerza/dogtail/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArchitectures: noarch
BuildRequires: python-devel
Requires: xorg-x11-Xvfb

%description
GUI test tool and automation framework that uses Accessibility (a11y) 
technologies to communicate with desktop applications.

%prep
%setup -q

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install -O2 --root=$RPM_BUILD_ROOT 

rm -fr $RPM_BUILD_ROOT%{_datadir}/doc/dogtail

mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/sniff" \
needs="gnome" section="More Applications/Accessibility" title="AT-SPI Browser" \
longtitle="Browse your Assistive Technology-enabled desktop" icon="dogtail-head-48.png" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Utility" \
  --add-category="Accessibility" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor

%postun
%{clean_menus}
gtk-update-icon-cache --force --quiet %{_datadir}/icons/hicolor

%files 
%defattr(-,root,root,-)
%doc COPYING examples
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/dogtail
%{_libdir}/python*/site-packages/dogtail
%{_menudir}/*
%{_iconsdir}/hicolor/*/apps/*

%changelog
* Tue Aug 15 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.5.1-3mdv2007.0
- Add BuildRequires
- XDG

* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 0.5.1-2mdk
- Use gtk-update-icon-cache

* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 0.5.1-1mdk
- New release 0.5.1
- Use mkrel

* Mon Nov 28 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.3-2mdk
- Patch0: fix headless script to be x86-64 compliant and be able to start 
  if X server is already running
- Add dependency on Xvfb
- add menu entry

* Wed Nov 23 2005 Frederic Crozat <fcrozat@mandriva.com> 0.4.3-1mdk
- Initial Mandriva package
